Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class ContentDataImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.ContentDataImpl

All Implemented Interfaces:
  Externalizable, Serializable, org.kie.internal.task.api.model.ContentData

Direct Known Subclasses:
  FaultDataImpl

    public class ContentDataImpl

extends Object
implements org.kie.internal.task.api.model.ContentData

See Also:
  Serialized Form

Constructor Summary
`ContentDataImpl()`

Method Summary
`org.kie.internal.task.api.model.AccessType` | `getAccessType()`
`byte[]` | `getContent()`
`String` | `getType()`
`void` | `readExternal(ObjectInput in)`
`void` | `setAccessType(org.kie.internal.task.api.model.AccessType accessType)`
`void` | `setContent(byte[] content)`
`void` | `setType(String type)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentDataImpl

    public ContentDataImpl()

Method Detail

### getAccessType

    public org.kie.internal.task.api.model.AccessType getAccessType()

  Specified by:
    `getAccessType` in interface `org.kie.internal.task.api.model.ContentData`

### setAccessType

    public void setAccessType(org.kie.internal.task.api.model.AccessType accessType)

  Specified by:
    `setAccessType` in interface `org.kie.internal.task.api.model.ContentData`

### getType

    public String getType()

  Specified by:
    `getType` in interface `org.kie.internal.task.api.model.ContentData`

### setType

    public void setType(String type)

  Specified by:
    `setType` in interface `org.kie.internal.task.api.model.ContentData`

### getContent

    public byte[] getContent()

  Specified by:
    `getContent` in interface `org.kie.internal.task.api.model.ContentData`

### setContent

    public void setContent(byte[] content)

  Specified by:
    `setContent` in interface `org.kie.internal.task.api.model.ContentData`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.